Package ghidra.program.model.lang

# Class InjectPayloadJumpAssist

java.lang.Object
ghidra.program.model.lang.InjectPayloadSleigh
ghidra.program.model.lang.InjectPayloadJumpAssist

All Implemented Interfaces:
  `InjectPayload`

public class InjectPayloadJumpAssist extends InjectPayloadSleigh

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ghidra.program.model.lang.InjectPayload

  `InjectPayload.InjectParameter`

- ## Field Summary

  ### Fields inherited from class ghidra.program.model.lang.InjectPayloadSleigh

  `name, source, type`

  ### Fields inherited from interface ghidra.program.model.lang.InjectPayload

  `CALLFIXUP_TYPE, CALLMECHANISM_TYPE, CALLOTHERFIXUP_TYPE, EXECUTABLEPCODE_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InjectPayloadJumpAssist(String bName, String sourceName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isEquivalent(InjectPayload obj)`
  Determine if this InjectPayload and another instance are equivalent (have the same name and generate the same p-code)
  `void`
  `restoreXml(XmlPullParser parser, SleighLanguage language)`
  Restore the payload from an XML stream.

  ### Methods inherited from class ghidra.program.model.lang.InjectPayloadSleigh

  `encode, getDummyPcode, getInput, getName, getOutput, getParamShift, getPcode, getSource, getType, inject, isErrorPlaceholder, isFallThru, isIncidentalCopy, orderParameters, setInputParameters, setOutputParameters, setTemplate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InjectPayloadJumpAssist

    public InjectPayloadJumpAssist(String bName, String sourceName)

- ## Method Details

  - ### restoreXml

    public void restoreXml(XmlPullParser parser, SleighLanguage language) throws XmlParseException
    Description copied from interface: `InjectPayload`
    Restore the payload from an XML stream. The root expected document is the \ tag, which may be wrapped with another tag by the derived class.
    Specified by:
      `restoreXml` in interface `InjectPayload`
    Overrides:
      `restoreXml` in class `InjectPayloadSleigh`
    Parameters:
      `parser` - is the XML stream
      `language` - is used to resolve registers and address spaces
    Throws:
      `XmlParseException` - for badly formed XML

  - ### isEquivalent

    public boolean isEquivalent(InjectPayload obj)
    Description copied from interface: `InjectPayload`
    Determine if this InjectPayload and another instance are equivalent (have the same name and generate the same p-code)
    Specified by:
      `isEquivalent` in interface `InjectPayload`
    Overrides:
      `isEquivalent` in class `InjectPayloadSleigh`
    Parameters:
      `obj` - is the other payload
    Returns:
      true if they are equivalent